Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.filters
Class StripLineComments

    java.lang.Object
      java.io.Reader
          java.io.FilterReader
              org.apache.tools.ant.filters.BaseFilterReader
                  org.apache.tools.ant.filters.BaseParamFilterReader
                      org.apache.tools.ant.filters.StripLineComments

All Implemented Interfaces:
  java.io.Closeable, java.lang.Readable, ChainableReader, Parameterizable

    public final class StripLineComments

extends BaseParamFilterReader
implements ChainableReader

This filter strips line comments. Example:

    <striplinecomments>
       <comment value="#"/>
       <comment value="--"/>
       <comment value="REM "/>
       <comment value="rem "/>
       <comment value="//"/>
     </striplinecomments>

Or:

    <filterreader
          classname="org.apache.tools.ant.filters.StripLineComments">
       <param type="comment" value="#"/>
       <param type="comment" value="--"/>
       <param type="comment" value="REM "/>
       <param type="comment" value="rem "/>
       <param type="comment" value="//"/>
     </filterreader>

Nested Class Summary
`static class` | `StripLineComments.Comment` The class that holds a comment representation.

Field Summary

Fields inherited from class java.io.FilterReader
`in`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`StripLineComments()` Constructor for "dummy" instances.
`StripLineComments(java.io.Reader in)` Creates a new filtered reader.

Method Summary
`void` | `addConfiguredComment(StripLineComments.Comment comment)` Adds a `comment` element to the list of prefixes.
`java.io.Reader` | `chain(java.io.Reader rdr)` Creates a new StripLineComments using the passed in Reader for instantiation.
`int` | `read()` Returns the next character in the filtered stream, only including lines from the original stream which don't start with any of the specified comment prefixes.

Methods inherited from class org.apache.tools.ant.filters.BaseParamFilterReader
`getParameters, setParameters`

Methods inherited from class org.apache.tools.ant.filters.BaseFilterReader
`getInitialized, getProject, read, readFully, readLine, setInitialized, setProject, skip`

Methods inherited from class java.io.FilterReader
`close, mark, markSupported, ready, reset`

Methods inherited from class java.io.Reader
`read, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StripLineComments

    public StripLineComments()

  Constructor for "dummy" instances.

  See Also:
    `BaseFilterReader.BaseFilterReader()`

### StripLineComments

    public StripLineComments(java.io.Reader in)

  Creates a new filtered reader.

  Parameters:
    `in` - A Reader object providing the underlying stream. Must not be `null`.

Method Detail

### read

    public int read()
             throws java.io.IOException

  Returns the next character in the filtered stream, only including lines from the original stream which don't start with any of the specified comment prefixes.

  Overrides:
    `read` in class `java.io.FilterReader`
  Returns:
    the next character in the resulting stream, or -1 if the end of the resulting stream has been reached
  Throws:
    `java.io.IOException` - if the underlying stream throws an IOException during reading

### addConfiguredComment

    public void addConfiguredComment(StripLineComments.Comment comment)

  Adds a `comment` element to the list of prefixes.

  Parameters:
    `comment` - The `comment` element to add to the list of comment prefixes to strip. Must not be `null`.

### chain

    public java.io.Reader chain(java.io.Reader rdr)

  Creates a new StripLineComments using the passed in Reader for instantiation.

  Specified by:
    `chain` in interface `ChainableReader`
  Parameters:
    `rdr` - A Reader object providing the underlying stream. Must not be `null`.
  Returns:
    a new filter based on this configuration, but filtering the specified reader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD